# Minimum audacious/audacious-plugins version in inter-package
# dependencies.
# We need 2.1 as 2.0.1 is insufficient.
%define aud_ver 2.1

Name: audacious-plugins
Version: 2.1
Release: 3%{?dist}
Summary: Plugins for the Audacious media player
Group: Applications/Multimedia
URL: http://audacious-media-player.org/

# LGPLv2+: adplug, bio2jack, rocklight
# MIT: crystalizer, dockalbumart
# BSD: lastfm
License: GPLv2 and GPLv2+ and LGPLv2+ and MIT and BSD

# Modified source tarball to remove problematic files.
# Removed: aac alc demac tta wma
# Not removed (no codec included): madplug mms
# Disabled via options where possible, see %%build.
Source0: audacious-plugins-fedora-%{version}.tar.bz2
#Source0: http://distfiles.atheme.org/audacious-plugins-%{version}.tgz

Patch1: audacious-plugins-1.5.1-timidity-cfg.patch
Patch2: audacious-plugins-2.0.1-xmms-skindir.patch
Patch3: audacious-plugins-2.1-keep-mixer-open.patch

BuildRequires: audacious-devel >= %{aud_ver}
BuildRequires: jack-audio-connection-kit-devel libsamplerate-devel
BuildRequires: alsa-lib-devel
BuildRequires: pulseaudio-libs-devel
BuildRequires: esound-devel
BuildRequires: libsndfile-devel
BuildRequires: taglib-devel
BuildRequires: wavpack-devel
BuildRequires: libsidplay-devel
BuildRequires: libogg-devel libvorbis-devel
BuildRequires: flac-devel
BuildRequires: libmodplug-devel
BuildRequires: fluidsynth-devel
BuildRequires: libshout-devel
BuildRequires: libmpcdec-devel
BuildRequires: libtimidity-devel
BuildRequires: curl-devel
BuildRequires: libbinio-devel
BuildRequires: libcdio-devel
BuildRequires: SDL-devel
BuildRequires: lirc-devel
BuildRequires: bluez-libs-devel
BuildRequires: libXcomposite-devel
BuildRequires: libcddb-devel
BuildRequires: libmtp-devel
BuildRequires: libxml2-devel
BuildRequires: gettext

# experimental, disabled by default
BuildRequires: neon-devel

Requires: audacious >= %{aud_ver}

# last in 1.5.1
Obsoletes: audacious-plugins-arts

# last tagged f8-final
Obsoletes: audacious-plugins-pulseaudio <= 1.3.5
Provides: audacious-plugins-pulseaudio = %{version}

%description
Audacious is a media player that currently uses a skinned user interface
based on Winamp 2.x skins. It is based on ("forked off") BMP.

This package provides essential plugins for audio input, audio output and
visualization.


%package jack
Summary: Audacious output plugin for JACK sound service
Group: Applications/Multimedia
# ancient
#Obsoletes: audacious-jack <= 1.1.2
Requires: audacious >= %{aud_ver}, audacious-plugins >= %{aud_ver}

%description jack
This package provides an Audacious output plugin that uses the
JACK sound service.


%package esd
Summary: Audacious output plugin for esd sound service
Group: Applications/Multimedia
# ancient
#Obsoletes: audacious-esd <= 1.1.2
Requires: audacious >= %{aud_ver}, audacious-plugins >= %{aud_ver}

%description esd
This package provides an Audacious output plugin that uses the
ESD sound server.


%package amidi
Summary: Audacious input plugin for amidi
Group: Applications/Multimedia
Requires: audacious >= %{aud_ver}, audacious-plugins >= %{aud_ver}

%description amidi
This package provides an Audacious input plugin that uses the
amidi sound service.



%package wavpack
Summary: Audacious input plugin for wavpack
Group: Applications/Multimedia
Requires: audacious >= %{aud_ver}, audacious-plugins >= %{aud_ver}

%description wavpack
This package provides an Audacious input plugin that reads WavPack
compressed files.



%package metronome
Summary: Audacious input plugin simulating a metronome
Group: Applications/Multimedia
Requires: audacious >= %{aud_ver}, audacious-plugins >= %{aud_ver}

%description metronome
This package provides an Audacious input plugin that simulates
a metronome.



%package vortex
Summary: Audacious input plugin for vortex audio files
Group: Applications/Multimedia
Requires: audacious >= %{aud_ver}, audacious-plugins >= %{aud_ver}

%description vortex
This package provides an Audacious input plugin that reads
vortex compressed files.



%prep
%setup -q -n audacious-plugins-fedora-%{version}

%patch1 -p1 -b .timidity-cfg
%patch2 -p1 -b .xmms-skindir
%patch3 -p1 -b .keep-mixer-open

sed -i '\,^.SILENT:,d' buildsys.mk.in

%build
# --disable-esd
# --enable-neon : experimental, disabled by default
%configure  \
    --enable-chardet  \
    --enable-amidiplug  \
    --enable-neon  \
    \
    --disable-aac  \
    --disable-ape  \
    --disable-mp3  \
    --disable-mms  \
    --disable-tta  \
    --disable-wma  \
    --disable-libmadtest  \
    \
    --disable-oss  \
    --disable-projectm  \
    --disable-sse2  \
    --disable-rpath  \
    --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_libdir}/audacious/Input/
%{_libdir}/audacious/Output/
%{_libdir}/audacious/Container/
%{_libdir}/audacious/Effect/
%{_libdir}/audacious/General/
%{_libdir}/audacious/Visualization/
%{_libdir}/audacious/Transport/
%exclude %{_libdir}/audacious/Input/amidi-plug.so
%exclude %{_libdir}/audacious/Input/amidi-plug/
%exclude %{_libdir}/audacious/Input/wavpack.so
%exclude %{_libdir}/audacious/Input/metronom.so
%exclude %{_libdir}/audacious/Input/vtx.so
%exclude %{_libdir}/audacious/Output/jackout.so
%exclude %{_libdir}/audacious/Output/ESD.so
%{_datadir}/audacious/

%files jack
%defattr(-,root,root,-)
%{_libdir}/audacious/Output/jackout.so

%files esd
%defattr(-,root,root,-)
%{_libdir}/audacious/Output/ESD.so

%files amidi
%defattr(-,root,root,-)
%{_libdir}/audacious/Input/amidi-plug.so
%{_libdir}/audacious/Input/amidi-plug/

%files wavpack
%defattr(-,root,root,-)
%{_libdir}/audacious/Input/wavpack.so

%files metronome
%defattr(-,root,root,-)
%{_libdir}/audacious/Input/metronom.so

%files vortex
%defattr(-,root,root,-)
%{_libdir}/audacious/Input/vtx.so


%changelog
* Thu Jul 30 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 2.1-3
- Keep mixer open and not start at only %50 volume.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 14 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 2.1-1
- Upgrade to 2.1 final.

* Mon Jun 29 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 2.1-0.1.beta1
- Upgrade to 2.1beta1.
- Drop merged/obsolete patches.

* Sat Jun  6 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.1-0.3
- Make libtimidity not try to open non-existing files.
- Fix non-top-level configure dialogs.

* Sat Jun  6 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.1-0.1
- Upgrade to 2.0.1.
- Fix sndfile plugin cleanup crash.
- Major spec overhaul, and drop old %%changelog entries.
- Obsolete -arts plugin.
- Multiple different licenses are used for the individual plugins.
- Move amidi-plug directory to amidi subpackage.
- Build with libsndfile plugin for advanced formats in WAV and
  patch it for pause and seek (also fixes #501007).

* Wed May 06 2009 Ralf Ertzinger <ralf@skytale.net> 1.5.1-5
- Fix possible crash on neon buffer underrun (BZ#496413)

